Zum Hauptinhalt springen
GET
/
sepa-xml-files
cURL
curl -X GET \
 /sepa-xml-files \
 --header "Authorization: Bearer <token>"
import requests

url = "https://coreapi.io/sepa-xml-files"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://coreapi.io/sepa-xml-files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/sepa-xml-files",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
{
  "data": [
    {
      "id": "ad8f7a6d-1b0b-4e1a-8e1a-0b1b0b1b0b1b",
      "uploaded": true,
      "uniqueMessageId": "COKSDE33XXX-2021-01-01-12-00-00-000000000",
      "generatedAt": "2023-11-07T05:31:56Z",
      "mediaId": "ad8f7a6d-1b0b-4e1a-8e1a-0b1b0b1b0b1b"
    }
  ],
  "meta": {
    "pagination": {
      "totalItems": 123,
      "itemsPerPage": 123,
      "currentPage": 123,
      "lastPage": 123,
      "pageTotalItems": 123
    }
  }
}

Autorisierungen

Authorization
string
header
erforderlich

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Abfrageparameter

page
integer
Standard:1

The collection page number

limit
integer
Standard:30

The number of items per page

Erforderlicher Bereich: 0 <= x <= 100

Antwort

SepaXmlStatement collection

data
object[]
meta
object